## influxdb 0.10.0+dfsg1

=== Makefile ===
PACKAGES=$(shell find . -name '*.go' -print0 | xargs -0 -n1 dirname | sort --unique)

default:

metalint: deadcode cyclo aligncheck defercheck structcheck lint errcheck

deadcode:
	@deadcode $(PACKAGES) 2>&1

cyclo:
	@gocyclo -over 10 $(PACKAGES)

aligncheck:
	@aligncheck $(PACKAGES)

defercheck:
	@defercheck $(PACKAGES)


structcheck:
	@structcheck $(PACKAGES)

lint:
	@for pkg in $(PACKAGES); do golint $$pkg; done

errcheck:
	@for pkg in $(PACKAGES); do \
	  errcheck -ignorepkg=bytes,fmt -ignore=":(Rollback|Close)" $$pkg \
	done

tools:
	go get github.com/remyoudompheng/go-misc/deadcode
	go get github.com/alecthomas/gocyclo
	go get github.com/opennota/check/...
	go get github.com/golang/lint/golint
	go get github.com/kisielk/errcheck

.PHONY: default,metalint,deadcode,cyclo,aligncheck,defercheck,structcheck,lint,errcheck,tools

## influxdb 0.9.4+dfsg1

=== debian/changelog ===
influxdb (0.9.4+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Updated config file
  * init: When stopping service, wait until actually exited
  * Tests timeout is now 20 minutes
  * Disable some flaky tests

 -- Alexandre Viau <alexandre@alexandreviau.net>  Sun, 06 Sep 2015 21:49:47 -0400

influxdb (0.9.2.1+dfsg1-2) unstable; urgency=medium

  * Remove logs on purge
  * Remove unused shlibs:Depends on dev package
  * Rename dev package to golang-github-influxdb-influxdb-dev
    (Closes: #798031)
  * Fixed reversed group and user in init script
  * Properly rebuild statik.go
  * Allow for building the package twice
  * Adapt to dh-golang >= 1.9
    - Don't include .proto files manually
    - export DH_GOLANG_GO_GENERATE := 1

 -- Alexandre Viau <alexandre@alexandreviau.net>  Tue, 25 Aug 2015 23:07:35 -0400

influxdb (0.9.2.1+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Disable reporting by default, even without a config file
  * Changed arch to any
  * Fixed tests on non-amd64 architectures (Closes: #795640)

 -- Alexandre Viau <alexandre@alexandreviau.net>  Tue, 11 Aug 2015 13:12:42 -0400

influxdb (0.9.2+dfsg1-2) unstable; urgency=medium

  * Added missing copyright section for uuid/uuid.go

 -- Alexandre Viau <alexandre@alexandreviau.net>  Wed, 29 Jul 2015 16:12:24 -0400

influxdb (0.9.2+dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: #765005)

 -- Alexandre Viau <alexandre@alexandreviau.net>  Mon, 13 Jul 2015 09:37:20 -0400

=== debian/control ===
Source: influxdb
Section: database
Priority: extra
Homepage: https://influxdb.com
Maintainer: Alexandre Viau <alexandre@alexandreviau.net>
Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang (>=1.9),
               dh-systemd,
               golang-go,
               node-uglify,
               golang-statik,
               libjs-bootstrap (>= 3.0),
               libjs-jquery,
#              Golang libraries below - Shared deps with dev package
               golang-go.crypto-dev | golang-golang-x-crypto-dev,
               golang-toml-dev | golang-github-burntsushi-toml-dev,
               golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
               golang-gogoprotobuf-dev (>= 0.0~git20150717) | golang-github-gogo-protobuf-dev,
               golang-github-boltdb-bolt-dev,
               golang-github-peterh-liner-dev,
               golang-github-bmizerany-pat-dev,
               golang-gopkg-fatih-pool.v2-dev,
               golang-github-rakyll-statik-dev,
               golang-github-kimor79-gollectd-dev,
               golang-collectd-dev,
               golang-github-hashicorp-raft-boltdb-dev,
               golang-github-hashicorp-raft-dev,
               golang-github-davecgh-go-spew-dev,
               golang-github-golang-snappy-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/influxdb.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/influxdb.git

Package: golang-github-influxdb-influxdb-dev
Architecture: all
Replaces: influxdb-dev (<< 0.9.2.1+dfsg1-2)
Breaks: influxdb-dev (<< 0.9.2.1+dfsg1-2)
Depends: ${misc:Depends},
         golang-go.crypto-dev | golang-golang-x-crypto-dev,
         golang-toml-dev | golang-github-burntsushi-toml-dev,
         golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
         golang-gogoprotobuf-dev (>= 0.0~git20150717) | golang-github-gogo-protobuf-dev,
         golang-github-boltdb-bolt-dev,
         golang-github-peterh-liner-dev,
         golang-github-bmizerany-pat-dev,
         golang-gopkg-fatih-pool.v2-dev,
         golang-github-rakyll-statik-dev,
         golang-github-kimor79-gollectd-dev,
         golang-collectd-dev,
         golang-github-hashicorp-raft-boltdb-dev,
         golang-github-hashicorp-raft-dev,
         golang-github-davecgh-go-spew-dev,
         golang-github-golang-snappy-dev,
         libjs-bootstrap (>= 3.0),
         libjs-jquery
Built-Using: ${misc:Built-Using}
Description: Scalable datastore for metrics, events, and real-time analytics. Dev package
 InfluxDB is a time series, metrics, and analytics database. It’s written
 in Go and has no external dependencies. That means once you install it
 there’s nothing else to manage (such as Redis, ZooKeeper, Cassandra,
 HBase, or anything else). InfluxDB is targeted at use cases for DevOps,
 metrics, sensor data, and real-time analytics.
 .
 This is the dev package.

Package: influxdb-dev
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, golang-github-influxdb-influxdb-dev
Description: Transitional package for golang-github-influxdb-influxdb-dev
 This is a transitional package to ease upgrades to the
 golang-github-influxdb-influxdb-dev package. It can safely be removed.

Package: influxdb
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser
Built-Using: ${misc:Built-Using}
Description: Scalable datastore for metrics, events, and real-time analytics
 InfluxDB is a time series, metrics, and analytics database. It’s written
 in Go and has no external dependencies. That means once you install it
 there’s nothing else to manage (such as Redis, ZooKeeper, Cassandra,
 HBase, or anything else). InfluxDB is targeted at use cases for DevOps,
 metrics, sensor data, and real-time analytics.

Package: influxdb-client
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: command line interface for InfluxDB
 InfluxDB is a time series, metrics, and analytics database. It’s written
 in Go and has no external dependencies. That means once you install it
 there’s nothing else to manage (such as Redis, ZooKeeper, Cassandra,
 HBase, or anything else). InfluxDB is targeted at use cases for DevOps,
 metrics, sensor data, and real-time analytics.
 .
 This package contains the command line interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

TMP     = $(CURDIR)/debian/$(PACKAGE)
SOURCE = $(TMP)/../

export DH_GOPKG := github.com/influxdb/influxdb
export DH_GOLANG_GO_GENERATE := 1

%:
	dh $@ --buildsystem=golang --with=golang,systemd --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure

	# Install Web UI components
	cp -v -r $(SOURCE)/shared _build/src/$(DH_GOPKG)/shared

	# Forwarded usptream. There is no need for css files to be executable ;)
	chmod -v -x  _build/src/$(DH_GOPKG)/shared/admin/css/dropdowns-enhancement.css

	# Replace bundled javascript/css with our own
	mkdir -v _build/src/$(DH_GOPKG)/shared/admin/js/vendor

	ln -v -s /usr/share/javascript/bootstrap/js/bootstrap.min.js _build/src/$(DH_GOPKG)/shared/admin/js/vendor/bootstrap-3.3.5.min.js
	ln -v -s /usr/share/javascript/jquery/jquery.min.js _build/src/$(DH_GOPKG)/shared/admin/js/vendor/jquery-2.1.4.min.js
	uglifyjs $(TMP)/missing-sources/react-0.13.3.js --output _build/src/$(DH_GOPKG)/shared/admin/js/vendor/react-0.13.3.min.js
	ln -v -s /usr/share/javascript/bootstrap/css/bootstrap.css _build/src/$(DH_GOPKG)/shared/admin/css/bootstrap.css

	# glyphicons-halflings-regular.*
	rm --verbose _build/src/$(DH_GOPKG)/shared/admin/fonts/glyphicons-halflings-regular.*
	ln -s /usr/share/javascript/bootstrap/fonts/glyphicons-halflings-regular.*  _build/src/$(DH_GOPKG)/shared/admin/fonts/

	# Rebuild statik.go
	rm --verbose _build/src/$(DH_GOPKG)/statik/statik.go
	cd _build/src/$(DH_GOPKG) && golang-statik -src=./shared/admin
	go fmt _build/src/$(DH_GOPKG)/statik/statik.go

override_dh_auto_test:
	dh_auto_test -- -timeout 12000s

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/influxdb-$1\.tar\.gz/,repacksuffix=+dfsg1,dversionmangle=s/\+dfsg\d*$// \
  https://github.com/influxdb/influxdb/tags .*/v([\d\.]*)\.tar\.gz

## influxdb 0.10.0+dfsg1

=== debian/changelog ===
influxdb (0.10.0+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Updated config file
  * Include version at build time
  * Updated links: influxdb -> influxdata

 -- Alexandre Viau <aviau@debian.org>  Sun, 17 Jan 2016 16:36:39 -0500

influxdb (0.9.6.1+dfsg1-4) unstable; urgency=medium

  * Depend on jquery >= 1.9.1

 -- Alexandre Viau <aviau@debian.org>  Sun, 03 Jan 2016 13:22:14 -0500

influxdb (0.9.6.1+dfsg1-3) unstable; urgency=medium

  * Avoid testing nothing

 -- Alexandre Viau <aviau@debian.org>  Sun, 27 Dec 2015 21:34:54 -0500

influxdb (0.9.6.1+dfsg1-2) unstable; urgency=medium

  * Only run tests on amd64 and i386

 -- Alexandre Viau <aviau@debian.org>  Sun, 27 Dec 2015 18:11:13 -0500

influxdb (0.9.6.1+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Updated config file
  * Updated dependencies:
      + golang-github-paulbellamy-ratecounter-dev
      + golang-github-influxdb-usage-client-dev

 -- Alexandre Viau <aviau@debian.org>  Sun, 13 Dec 2015 16:55:54 -0500

influxdb (0.9.5.1+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Changed my email to @debian.org
  * Updated config file
  * Added basic logrotate file
  * Updated service file
    - set KillMode to control-group
    - added influxd.service alias
  * Added new dependencies
  * Switch to using XS-Go-Import-Path

 -- Alexandre Viau <aviau@debian.org>  Fri, 04 Dec 2015 11:35:03 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: influxdb
 Section: database
 Priority: extra
-Homepage: https://influxdb.com
-Maintainer: Alexandre Viau <alexandre@alexandreviau.net>
+Homepage: https://influxdata.com/time-series-platform/influxdb/
+Maintainer: Alexandre Viau <aviau@debian.org>
 Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9),
                dh-golang (>=1.9),
@@ -11,7 +11,7 @@
                node-uglify,
                golang-statik,
                libjs-bootstrap (>= 3.0),
-               libjs-jquery,
+               libjs-jquery (>=1.9.1),
 #              Golang libraries below - Shared deps with dev package
                golang-go.crypto-dev | golang-golang-x-crypto-dev,
                golang-toml-dev | golang-github-burntsushi-toml-dev,
@@ -27,10 +27,17 @@
                golang-github-hashicorp-raft-boltdb-dev,
                golang-github-hashicorp-raft-dev,
                golang-github-davecgh-go-spew-dev,
+               golang-github-dgryski-go-bitstream-dev,
+               golang-github-dgryski-go-bits-dev,
+               golang-github-jwilder-encoding-dev,
+               golang-github-influxdb-enterprise-client-dev,
+               golang-github-paulbellamy-ratecounter-dev,
+               golang-github-influxdb-usage-client-dev,
                golang-github-golang-snappy-dev
 Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/influxdb.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/influxdb.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/influxdb.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/influxdb.git
+XS-Go-Import-Path: github.com/influxdb/influxdb
 
 Package: golang-github-influxdb-influxdb-dev
 Architecture: all
@@ -51,9 +58,15 @@
          golang-github-hashicorp-raft-boltdb-dev,
          golang-github-hashicorp-raft-dev,
          golang-github-davecgh-go-spew-dev,
+         golang-github-dgryski-go-bitstream-dev,
+         golang-github-dgryski-go-bits-dev,
+         golang-github-jwilder-encoding-dev,
+         golang-github-influxdb-enterprise-client-dev,
+         golang-github-paulbellamy-ratecounter-dev,
+         golang-github-influxdb-usage-client-dev,
          golang-github-golang-snappy-dev,
          libjs-bootstrap (>= 3.0),
-         libjs-jquery
+         libjs-jquery (>= 1.9.1)
 Built-Using: ${misc:Built-Using}
 Description: Scalable datastore for metrics, events, and real-time analytics. Dev package
  InfluxDB is a time series, metrics, and analytics database. It’s written

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,21 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-TMP     = $(CURDIR)/debian/$(PACKAGE)
+DEBIAN_DIR = $(CURDIR)/debian
+TMP     = $(DEBIAN_DIR)/$(PACKAGE)
 SOURCE = $(TMP)/../
 
+export DH_GOLANG_GO_GENERATE := 1
 export DH_GOPKG := github.com/influxdb/influxdb
-export DH_GOLANG_GO_GENERATE := 1
 
 %:
 	dh $@ --buildsystem=golang --with=golang,systemd --builddirectory=_build
 
 override_dh_auto_configure:
 	dh_auto_configure
+
+	# Include tests files
+	cp -v $(SOURCE)/stress/stress.toml _build/src/$(DH_GOPKG)/stress/stress.toml
 
 	# Install Web UI components
 	cp -v -r $(SOURCE)/shared _build/src/$(DH_GOPKG)/shared
@@ -36,5 +40,29 @@
 	cd _build/src/$(DH_GOPKG) && golang-statik -src=./shared/admin
 	go fmt _build/src/$(DH_GOPKG)/statik/statik.go
 
+# influxdb version
+DEB_VERSION := $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog --show-field Version)
+DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
+DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//' | sed 's/[+~].*$$//')
+
+override_dh_auto_build:
+	dh_auto_build -- -ldflags="-X main.version=$(DEB_UPSTREAM_VERSION)"
+
+# Don't tests on unsupported architectures. Test are unstable.
+# In the future, we should only skip cluster tests.
+SKIP_TESTS := True
+
+ifeq ($(DEB_HOST_ARCH_CPU),amd64)
+SKIP_TESTS := False
+endif
+
+ifeq ($(DEB_HOST_ARCH_CPU),i386)
+SKIP_TESTS := False
+endif
+
 override_dh_auto_test:
-	dh_auto_test -- -timeout 12000s
+	if [ "$(SKIP_TESTS)" = "True" ]; then \
+		echo "Skipping tests"; \
+	else \
+		dh_auto_test -- -timeout 12000s; \
+	fi

## influxdb 0.13.0+dfsg1

=== debian/changelog ===
influxdb (0.13.0+dfsg1-4) unstable; urgency=medium

  * Replace uglifyjs by yui-compressor

 -- Alexandre Viau <aviau@debian.org>  Thu, 28 Jul 2016 13:58:37 -0400

influxdb (0.13.0+dfsg1-3) unstable; urgency=medium

  * Create var and logs directories with debhelper (Closes: #831982)

 -- Alexandre Viau <aviau@debian.org>  Fri, 22 Jul 2016 10:59:15 -0400

influxdb (0.13.0+dfsg1-2) unstable; urgency=medium

  * d/rules clean: only build statik.go using
    go generate (Closes: #829164)

 -- Alexandre Viau <aviau@debian.org>  Fri, 01 Jul 2016 14:45:07 +0200

influxdb (0.13.0+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Bumped Standards-Version to 3.9.8
  * Hand over maintenance to pkg-go, set myself as
    uploader instead

 -- Alexandre Viau <aviau@debian.org>  Sat, 25 Jun 2016 22:21:05 +0200

influxdb (0.12.0+dfsg1-3) unstable; urgency=medium

  * Fixed unhandled symlink to directory conversion (Closes: #823571)

 -- Alexandre Viau <aviau@debian.org>  Tue, 10 May 2016 11:54:42 -0400

influxdb (0.12.0+dfsg1-2) unstable; urgency=medium

  * Added warning in NEWS (Closes: #822491)

 -- Alexandre Viau <aviau@debian.org>  Tue, 03 May 2016 22:08:16 -0400

influxdb (0.12.0+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Added tmpl dependency
  * Updated d/copyright

 -- Alexandre Viau <aviau@debian.org>  Wed, 06 Apr 2016 17:19:45 -0400

influxdb (0.10.2+dfsg1-2) unstable; urgency=medium

  * Temporarly disable tests (Closes: #818069)

 -- Alexandre Viau <aviau@debian.org>  Sun, 20 Mar 2016 11:11:21 -0400

influxdb (0.10.2+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Updated Standards-Version to 3.9.7 (no changes)

 -- Alexandre Viau <aviau@debian.org>  Tue, 08 Mar 2016 10:36:30 -0500

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: database
 Priority: extra
 Homepage: https://influxdata.com/time-series-platform/influxdb/
-Maintainer: Alexandre Viau <aviau@debian.org>
-Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Alexandre Viau <aviau@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-golang (>=1.9),
                dh-systemd,
                golang-go,
-               node-uglify,
+               yui-compressor,
                golang-statik,
+               tmpl,
                libjs-bootstrap (>= 3.0),
                libjs-jquery (>=1.9.1),
 #              Golang libraries below - Shared deps with dev package
@@ -29,20 +30,21 @@
                golang-github-davecgh-go-spew-dev,
                golang-github-dgryski-go-bitstream-dev,
                golang-github-dgryski-go-bits-dev,
-               golang-github-jwilder-encoding-dev,
+               golang-github-jwilder-encoding-dev (>= 0.0~git20160426.0.ac74639),
                golang-github-influxdb-enterprise-client-dev,
                golang-github-paulbellamy-ratecounter-dev,
-               golang-github-influxdb-usage-client-dev,
+               golang-github-influxdb-usage-client-dev (>= 0.0~git20151204.0.475977e-2),
                golang-github-golang-snappy-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/influxdb.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/influxdb.git
-XS-Go-Import-Path: github.com/influxdb/influxdb
+XS-Go-Import-Path: github.com/influxdata/influxdb
 
 Package: golang-github-influxdb-influxdb-dev
 Architecture: all
 Replaces: influxdb-dev (<< 0.9.2.1+dfsg1-2)
 Breaks: influxdb-dev (<< 0.9.2.1+dfsg1-2)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          golang-go.crypto-dev | golang-golang-x-crypto-dev,
          golang-toml-dev | golang-github-burntsushi-toml-dev,
@@ -60,7 +62,7 @@
          golang-github-davecgh-go-spew-dev,
          golang-github-dgryski-go-bitstream-dev,
          golang-github-dgryski-go-bits-dev,
-         golang-github-jwilder-encoding-dev,
+         golang-github-jwilder-encoding-dev (>= 0.0~git20160426.0.ac74639),
          golang-github-influxdb-enterprise-client-dev,
          golang-github-paulbellamy-ratecounter-dev,
          golang-github-influxdb-usage-client-dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEBIAN_DIR = $(CURDIR)/debian
TMP     = $(DEBIAN_DIR)/$(PACKAGE)
SOURCE = $(TMP)/../

export DH_GOLANG_GO_GENERATE := 1
export DH_GOPKG := github.com/influxdata/influxdb

%:
	dh $@ --buildsystem=golang --with=golang,systemd --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure

	# Include tests files
	cp -v $(SOURCE)/stress/stress.toml _build/src/$(DH_GOPKG)/stress/stress.toml

	# Install Web UI components
	cp -v -r $(SOURCE)/services/admin/assets _build/src/$(DH_GOPKG)/services/admin

	# Replace bundled javascript/css with our own
	mkdir -v _build/src/$(DH_GOPKG)/services/admin/assets/js/vendor

	ln -v -s /usr/share/javascript/bootstrap/js/bootstrap.min.js _build/src/$(DH_GOPKG)/services/admin/assets/js/vendor/bootstrap-3.3.5.min.js
	ln -v -s /usr/share/javascript/jquery/jquery.min.js _build/src/$(DH_GOPKG)/services/admin/assets/js/vendor/jquery-2.1.4.min.js
	yui-compressor $(TMP)/missing-sources/react-0.13.3.js -o _build/src/$(DH_GOPKG)/services/admin/assets/js/vendor/react-0.13.3.min.js
	ln -v -s /usr/share/javascript/bootstrap/css/bootstrap.css _build/src/$(DH_GOPKG)/services/admin/assets/css/bootstrap.css

	# glyphicons-halflings-regular.*
	rm --verbose _build/src/$(DH_GOPKG)/services/admin/assets/fonts/glyphicons-halflings-regular.*
	ln -s /usr/share/javascript/bootstrap/fonts/glyphicons-halflings-regular.*  _build/src/$(DH_GOPKG)/services/admin/assets/fonts/

	# include tmpldata files
	cp -v $(SOURCE)/tsdb/engine/tsm1/*.tmpl* _build/src/$(DH_GOPKG)/tsdb/engine/tsm1
	cp -v $(SOURCE)/influxql/*.tmpl* _build/src/$(DH_GOPKG)/influxql
	cp -v $(SOURCE)/influxql/tmpldata _build/src/$(DH_GOPKG)/influxql

# influxdb version
DEB_VERSION := $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog --show-field Version)
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//' | sed 's/[+~].*$$//')

override_dh_auto_build:
	dh_auto_build -- -ldflags="-X main.version=$(DEB_UPSTREAM_VERSION)"

# Don't tests on unsupported architectures. Test are unstable.
# See issue: https://github.com/influxdata/influxdb/issues/4102
# In the future, we should only skip cluster tests.
SKIP_TESTS := True

#ifeq ($(DEB_HOST_ARCH_CPU),amd64)
#SKIP_TESTS := False
#endif

#ifeq ($(DEB_HOST_ARCH_CPU),i386)
#SKIP_TESTS := False
#endif

override_dh_auto_test:
	if [ "$(SKIP_TESTS)" = "True" ]; then \
		echo "Skipping tests"; \
	else \
		dh_auto_test -- -timeout 12000s; \
	fi

## influxdb 1.0.2+dfsg1

=== man/Makefile ===
#!/usr/bin/make -f

DESTDIR = /usr/local

MAN1_TXT =
MAN1_TXT += influxd.txt
MAN1_TXT += influxd-backup.txt
MAN1_TXT += influxd-config.txt
MAN1_TXT += influxd-restore.txt
MAN1_TXT += influxd-run.txt
MAN1_TXT += influxd-version.txt
MAN1_TXT += influx.txt

MAN_TXT = $(MAN1_TXT)
MAN_XML = $(patsubst %.txt,%.xml,$(MAN_TXT))

DOC_MAN1 = $(patsubst %.txt,%.1,$(MAN1_TXT))

build: $(DOC_MAN1)

install: build
	@echo '  INSTALL $(DOC_MAN1)' && \
	mkdir -p $(DESTDIR)/share/man/man1 && \
	install -m 0644 $(DOC_MAN1) $(DESTDIR)/share/man/man1

clean:
	rm -f $(MAN_XML) $(DOC_MAN1)

%.xml : %.txt
	@echo '  ASCIIDOC $@' && rm -f $@+ && \
	asciidoc -d manpage -b docbook -o $@+ $< && \
	mv $@+ $@

%.1 : %.xml
	@echo '  XMLTO $@' && \
	xmlto man $< 2> /dev/null

.PHONY: build install clean

=== debian/changelog ===
influxdb (1.0.2+dfsg1-1) unstable; urgency=medium
  [ Alexandre Viau ]
  * Update default configuration file.

  [ Guillem Jover ]
  * New upstream release. (Closes: #840656)

 -- Alexandre Viau <aviau@debian.org>  Tue, 25 Oct 2016 13:19:04 -0400

influxdb (0.13.0+dfsg1-5) unstable; urgency=medium

  [ Alexandre Viau ]
  * Prepare upload
  * d/control: Add InfluxDB dependency on lsb-base (>= 3.0-6)
  * Remove unused hardening-no-relro override

  [ Guillem Jover ]
  * Remove existing static files (Closes: #835336)
  * Improve and fix init script (Closes: #840636)

  [ Tim Potter ]
  * Update influxdb-usage-client B-D to use backports

 -- Alexandre Viau <aviau@debian.org>  Sat, 15 Oct 2016 14:12:16 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Homepage: https://influxdata.com/time-series-platform/influxdb/
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Alexandre Viau <aviau@debian.org>
+Uploaders: Alexandre Viau <aviau@debian.org>, Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9),
                dh-golang (>=1.9),
                dh-systemd,
@@ -21,19 +21,18 @@
                golang-github-boltdb-bolt-dev,
                golang-github-peterh-liner-dev,
                golang-github-bmizerany-pat-dev,
-               golang-gopkg-fatih-pool.v2-dev,
                golang-github-rakyll-statik-dev,
+               golang-github-retailnext-hllpp-dev,
                golang-github-kimor79-gollectd-dev,
                golang-collectd-dev,
-               golang-github-hashicorp-raft-boltdb-dev,
-               golang-github-hashicorp-raft-dev,
                golang-github-davecgh-go-spew-dev,
+               golang-github-dgrijalva-jwt-go-dev,
                golang-github-dgryski-go-bitstream-dev,
                golang-github-dgryski-go-bits-dev,
                golang-github-jwilder-encoding-dev (>= 0.0~git20160426.0.ac74639),
                golang-github-influxdb-enterprise-client-dev,
                golang-github-paulbellamy-ratecounter-dev,
-               golang-github-influxdb-usage-client-dev (>= 0.0~git20151204.0.475977e-2),
+               golang-github-influxdb-usage-client-dev (>= 0.0~git20151204.0.475977e-2~),
                golang-github-golang-snappy-dev
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/influxdb.git
@@ -53,13 +52,12 @@
          golang-github-boltdb-bolt-dev,
          golang-github-peterh-liner-dev,
          golang-github-bmizerany-pat-dev,
-         golang-gopkg-fatih-pool.v2-dev,
          golang-github-rakyll-statik-dev,
+         golang-github-retailnext-hllpp-dev,
          golang-github-kimor79-gollectd-dev,
          golang-collectd-dev,
-         golang-github-hashicorp-raft-boltdb-dev,
-         golang-github-hashicorp-raft-dev,
          golang-github-davecgh-go-spew-dev,
+         golang-github-dgrijalva-jwt-go-dev,
          golang-github-dgryski-go-bitstream-dev,
          golang-github-dgryski-go-bits-dev,
          golang-github-jwilder-encoding-dev (>= 0.0~git20160426.0.ac74639),
@@ -91,7 +89,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         adduser
+         adduser,
+         lsb-base (>= 3.0-6)
 Built-Using: ${misc:Built-Using}
 Description: Scalable datastore for metrics, events, and real-time analytics
  InfluxDB is a time series, metrics, and analytics database. It’s written

=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,9 @@
 	cp -v $(SOURCE)/influxql/*.tmpl* _build/src/$(DH_GOPKG)/influxql
 	cp -v $(SOURCE)/influxql/tmpldata _build/src/$(DH_GOPKG)/influxql
 
+	# Remove statik files, latest version cannot cope.
+	rm -f _build/src/$(DH_GOPKG)/services/admin/statik/statik.go
+
 # influxdb version
 DEB_VERSION := $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog --show-field Version)
 DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)

## influxdb 1.1.1%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                golang-github-dgrijalva-jwt-go-dev,
                golang-github-dgryski-go-bitstream-dev,
                golang-github-dgryski-go-bits-dev,
-               golang-github-jwilder-encoding-dev (>= 0.0~git20160426.0.ac74639),
+               golang-github-jwilder-encoding-dev (>= 0.0~git20160927.0.4dada27),
                golang-github-influxdb-enterprise-client-dev,
                golang-github-paulbellamy-ratecounter-dev,
                golang-github-influxdb-usage-client-dev (>= 0.0~git20151204.0.475977e-2~),
@@ -60,7 +60,7 @@
          golang-github-dgrijalva-jwt-go-dev,
          golang-github-dgryski-go-bitstream-dev,
          golang-github-dgryski-go-bits-dev,
-         golang-github-jwilder-encoding-dev (>= 0.0~git20160426.0.ac74639),
+         golang-github-jwilder-encoding-dev (>= 0.0~git20160927.0.4dada27),
          golang-github-influxdb-enterprise-client-dev,
          golang-github-paulbellamy-ratecounter-dev,
          golang-github-influxdb-usage-client-dev,

## influxdb 1.1.1+dfsg1

=== Makefile ===
--- 
+++ 
@@ -34,5 +34,6 @@
 	go get github.com/opennota/check/...
 	go get github.com/golang/lint/golint
 	go get github.com/kisielk/errcheck
+	go get github.com/sparrc/gdm
 
 .PHONY: default,metalint,deadcode,cyclo,aligncheck,defercheck,structcheck,lint,errcheck,tools

=== debian/changelog ===
influxdb (1.1.1+dfsg1-4+deb9u1ubuntu1) bionic-security; urgency=medium

  * fake sync from Debian
  * Go 1.9 patch for TestEpochToTime
  * Disable graphite service test for launchpad

 -- Mark Esler <mark.esler@canonical.com>  Wed, 25 May 2022 13:12:38 -0500

influxdb (1.1.1+dfsg1-4+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2019-20933
    By using a JWT token with an empty shared secret, one is able
    to bypass authentication in services/httpd/handler.go.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 17 Dec 2020 19:03:02 +0100

influxdb (1.1.1+dfsg1-4) unstable; urgency=medium

  * Disable TestEngine_Backup. (Closes: #850282)
  * Re-enable i386 tests.

 -- Alexandre Viau <aviau@debian.org>  Tue, 28 Feb 2017 18:20:09 -0500

influxdb (1.1.1+dfsg1-3) unstable; urgency=medium

  * Disable tests on i386 (Closes: #850282)

 -- Alexandre Viau <aviau@debian.org>  Tue, 28 Feb 2017 15:24:05 -0500

influxdb (1.1.1+dfsg1-2) unstable; urgency=medium

  * Lintian overrides.

 -- Alexandre Viau <aviau@debian.org>  Thu, 22 Dec 2016 00:50:08 -0500

influxdb (1.1.1+dfsg1-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Import Guillem's work.
  * Refresh jwt-v2.patch.
  * Update influxdb.conf.
  * Depend on newer golang-github-jwilder-encoding.
  * Adapt disable-reporting.patch.
  * Copy over iql files.
  * Fix tests in jwt-v2.patch.

  [ Guillem Jover ]
  * New upstream release. (Closes: #846576)
  * Fix build to work on github.com/dgrijalva/jwt-go v2.
  * Pass --no-close to start-stop-daemon --start to get actual logging.

 -- Alexandre Viau <aviau@debian.org>  Tue, 20 Dec 2016 21:25:35 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: database
 Priority: extra
 Homepage: https://influxdata.com/time-series-platform/influxdb/
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Alexandre Viau <aviau@debian.org>, Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9),
                dh-golang (>=1.9),

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,9 @@
 
 	# Include tests files
 	cp -v $(SOURCE)/stress/stress.toml _build/src/$(DH_GOPKG)/stress/stress.toml
+	mkdir -v -p _build/src/$(DH_GOPKG)/stress/v2/iql
+	cp -v $(SOURCE)/stress/v2/iql/file.iql _build/src/$(DH_GOPKG)/stress/v2/iql/file.iql
+	cp -v $(SOURCE)/stress/v2/iql/default.iql _build/src/$(DH_GOPKG)/stress/v2/iql/default.iql
 
 	# Install Web UI components
 	cp -v -r $(SOURCE)/services/admin/assets _build/src/$(DH_GOPKG)/services/admin
@@ -49,17 +52,15 @@
 	dh_auto_build -- -ldflags="-X main.version=$(DEB_UPSTREAM_VERSION)"
 
 # Don't tests on unsupported architectures. Test are unstable.
-# See issue: https://github.com/influxdata/influxdb/issues/4102
-# In the future, we should only skip cluster tests.
 SKIP_TESTS := True
 
-#ifeq ($(DEB_HOST_ARCH_CPU),amd64)
-#SKIP_TESTS := False
-#endif
+ifeq ($(DEB_HOST_ARCH_CPU),amd64)
+SKIP_TESTS := False
+endif
 
-#ifeq ($(DEB_HOST_ARCH_CPU),i386)
-#SKIP_TESTS := False
-#endif
+ifeq ($(DEB_HOST_ARCH_CPU),i386)
+SKIP_TESTS := False
+endif
 
 override_dh_auto_test:
 	if [ "$(SKIP_TESTS)" = "True" ]; then \

## influxdb 1.5.3

=== debian/changelog ===
influxdb (1.5.3-2) unstable; urgency=medium

  * Don't build the tests package.
  * d/copyright: remove unused files-excluded section.

 -- Alexandre Viau <aviau@debian.org>  Thu, 31 May 2018 22:29:26 -0400

influxdb (1.5.3-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * New upstream snapshot.
  * Dependencies:
    +golang-go.uber-zap-dev
    +golang-github-cespare-xxhash-dev
    +golang-github-influxdata-influxql-dev
  * Move to salsa.debian.org.
  * Remove golang-go.crypto-dev dependency. (Closes: #895556)
  * New upload should fix FTBFS. (Closes: #880270)
  * Create use-debian-yarpc.patch.
  * Refresh patches.
  * Depend on debhelper >= 9.20160709 instead of dh_systemd.
  * Fix insecure-copyright-format-uri.
  * Priority extra -> optional.
  * Removed transitional package.

  [ Paul Tagliamonte ]
  * Remove Built-Using from arch:all -dev package

 -- Alexandre Viau <aviau@debian.org>  Thu, 31 May 2018 19:15:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,15 @@
 Source: influxdb
 Section: database
-Priority: extra
+Priority: optional
 Homepage: https://influxdata.com/time-series-platform/influxdb/
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Alexandre Viau <aviau@debian.org>, Tim Potter <tpot@hpe.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20160709),
                dh-golang (>=1.9),
-               dh-systemd,
                golang-go,
-               yui-compressor,
-               golang-statik,
                tmpl,
-               libjs-bootstrap (>= 3.0),
-               libjs-jquery (>=1.9.1),
 #              Golang libraries below - Shared deps with dev package
-               golang-go.crypto-dev | golang-golang-x-crypto-dev,
+               golang-golang-x-crypto-dev,
                golang-toml-dev | golang-github-burntsushi-toml-dev,
                golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
                golang-gogoprotobuf-dev (>= 0.0~git20150717) | golang-github-gogo-protobuf-dev,
@@ -27,17 +21,31 @@
                golang-github-kimor79-gollectd-dev,
                golang-collectd-dev,
                golang-github-davecgh-go-spew-dev,
-               golang-github-dgrijalva-jwt-go-dev,
+               golang-github-dgrijalva-jwt-go-v3-dev,
                golang-github-dgryski-go-bitstream-dev,
                golang-github-dgryski-go-bits-dev,
                golang-github-jwilder-encoding-dev (>= 0.0~git20160927.0.4dada27),
                golang-github-influxdb-enterprise-client-dev,
                golang-github-paulbellamy-ratecounter-dev,
                golang-github-influxdb-usage-client-dev (>= 0.0~git20151204.0.475977e-2~),
+               golang-go.uber-zap-dev,
+               golang-github-cespare-xxhash-dev,
+               golang-github-influxdata-influxql-dev,
+               golang-github-influxdata-yarpc-dev,
+               protoc-gen-yarpc,
+               libprotobuf-dev,
+               golang-github-xlab-treeprint-dev,
+               golang-github-roaringbitmap-roaring-dev,
+               golang-github-jsternberg-zap-logfmt-dev,
+               golang-github-google-go-cmp-dev,
+               golang-github-mattn-go-isatty-dev,
+               golang-golang-x-time-dev,
+               golang-github-opentracing-opentracing-go-dev,
+               golang-prometheus-client-dev,
                golang-github-golang-snappy-dev
 Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/influxdb.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/influxdb.git
+Vcs-Git: https://salsa.debian.org/pkg-go-team/influxdb.git
+Vcs-Browser: https://salsa.debian.org/pkg-go-team/influxdb
 XS-Go-Import-Path: github.com/influxdata/influxdb
 
 Package: golang-github-influxdb-influxdb-dev
@@ -46,7 +54,7 @@
 Breaks: influxdb-dev (<< 0.9.2.1+dfsg1-2)
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
-         golang-go.crypto-dev | golang-golang-x-crypto-dev,
+         golang-golang-x-crypto-dev,
          golang-toml-dev | golang-github-burntsushi-toml-dev,
          golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
          golang-gogoprotobuf-dev (>= 0.0~git20150717) | golang-github-gogo-protobuf-dev,
@@ -58,17 +66,28 @@
          golang-github-kimor79-gollectd-dev,
          golang-collectd-dev,
          golang-github-davecgh-go-spew-dev,
-         golang-github-dgrijalva-jwt-go-dev,
+         golang-github-dgrijalva-jwt-go-v3-dev,
          golang-github-dgryski-go-bitstream-dev,
          golang-github-dgryski-go-bits-dev,
          golang-github-jwilder-encoding-dev (>= 0.0~git20160927.0.4dada27),
          golang-github-influxdb-enterprise-client-dev,
          golang-github-paulbellamy-ratecounter-dev,
-         golang-github-influxdb-usage-client-dev,
-         golang-github-golang-snappy-dev,
-         libjs-bootstrap (>= 3.0),
-         libjs-jquery (>= 1.9.1)
-Built-Using: ${misc:Built-Using}
+         golang-github-influxdb-usage-client-dev (>= 0.0~git20151204.0.475977e-2~),
+         golang-go.uber-zap-dev,
+         golang-github-cespare-xxhash-dev,
+         golang-github-influxdata-influxql-dev,
+         golang-github-influxdata-yarpc-dev,
+         protoc-gen-yarpc,
+         libprotobuf-dev,
+         golang-github-xlab-treeprint-dev,
+         golang-github-roaringbitmap-roaring-dev,
+         golang-github-jsternberg-zap-logfmt-dev,
+         golang-github-google-go-cmp-dev,
+         golang-github-mattn-go-isatty-dev,
+         golang-golang-x-time-dev,
+         golang-github-opentracing-opentracing-go-dev,
+         golang-prometheus-client-dev,
+         golang-github-golang-snappy-dev
 Description: Scalable datastore for metrics, events, and real-time analytics. Dev package
  InfluxDB is a time series, metrics, and analytics database. It’s written
  in Go and has no external dependencies. That means once you install it
@@ -77,14 +96,6 @@
  metrics, sensor data, and real-time analytics.
  .
  This is the dev package.
-
-Package: influxdb-dev
-Section: oldlibs
-Architecture: all
-Depends: ${misc:Depends}, golang-github-influxdb-influxdb-dev
-Description: Transitional package for golang-github-influxdb-influxdb-dev
- This is a transitional package to ease upgrades to the
- golang-github-influxdb-influxdb-dev package. It can safely be removed.
 
 Package: influxdb
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEBIAN_DIR = $(CURDIR)/debian
TMP     = $(DEBIAN_DIR)/$(PACKAGE)
SOURCE = $(TMP)/../

export DH_GOLANG_GO_GENERATE := 1
export DH_GOPKG := github.com/influxdata/influxdb
export DH_GOLANG_INSTALL_EXTRA := query/tmpldata
export DH_GOLANG_EXCLUDES := tests

%:
	dh $@ --buildsystem=golang --with=golang,systemd --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure

	# Include tests files
	cp -v $(SOURCE)/stress/stress.toml _build/src/$(DH_GOPKG)/stress/stress.toml
	mkdir -v -p _build/src/$(DH_GOPKG)/stress/v2/iql
	cp -v $(SOURCE)/stress/v2/iql/file.iql _build/src/$(DH_GOPKG)/stress/v2/iql/file.iql
	cp -v $(SOURCE)/stress/v2/iql/default.iql _build/src/$(DH_GOPKG)/stress/v2/iql/default.iql

	# include tmpldata files
	cp -v $(SOURCE)/tsdb/engine/tsm1/*.tmpl* _build/src/$(DH_GOPKG)/tsdb/engine/tsm1
	cp -v $(SOURCE)/query/*.tmpl* _build/src/$(DH_GOPKG)/query
	cp -v $(SOURCE)/services/storage/*.tmpl* _build/src/$(DH_GOPKG)/services/storage
	cp -v $(SOURCE)/pkg/slices/*.tmpl* _build/src/$(DH_GOPKG)/pkg/slices

	# rename some imports
	find _build/src/$(DH_GOPKG) -type f -print0 | xargs -0 sed -i 's|github.com/uber-go/zap|go.uber.org/zap|g'
	find _build/src/$(DH_GOPKG) -type f -print0 | xargs -0 sed -i 's|github.com/dgrijalva/jwt-go|github.com/dgrijalva/jwt-go-v3|g'

# influxdb version
DEB_VERSION := $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog --show-field Version)
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//' | sed 's/[+~].*$$//')

override_dh_auto_build:
	dh_auto_build -- -ldflags="-X main.version=$(DEB_UPSTREAM_VERSION)"

override_dh_auto_test:
	# I could never get tests working reliably.

## influxdb 1.6.1

=== debian/changelog ===
influxdb (1.6.1-1) unstable; urgency=medium

  * New upstream snapshot.
  * Refresh patches.
  * Update configuration file.

 -- Alexandre Viau <aviau@debian.org>  Thu, 23 Aug 2018 13:59:42 -0400

## influxdb 1.6.4

=== debian/changelog ===
influxdb (1.6.4-2ubuntu1) groovy; urgency=medium

  * Build and runtime depend on golang-github-prometheus-client-golang-dev

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 06 Jul 2020 11:14:12 -0300

influxdb (1.6.4-2) unstable; urgency=medium

  * Team upload.

  [ Shengjing Zhu ]
  * Remove dgrijalva/jwt-go v3 patch.
    Replace golang-github-dgrijalva-jwt-go-v3-dev with
    golang-github-dgrijalva-jwt-go-dev
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Use getent to parse entries (Closes: #954240)
    Thanks Andreas Maus

  [ Guillem Jover ]
  * debian: Fix init script return code on restart action. (Closes: #922691)
    The errcode is only assigned conditionally when there's an error return
    code from the status action. But log_end_msg will default to an error
    code of 1 if it gets no argument passed. So in this case the restart
    will always return an error code.

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 22 Apr 2020 02:59:01 +0800

influxdb (1.6.4-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Alexandre Viau <aviau@debian.org>  Fri, 19 Oct 2018 00:47:59 -0400

influxdb (1.6.3-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Alexandre Viau <aviau@debian.org>  Sun, 14 Oct 2018 13:05:42 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: database
 Priority: optional
 Homepage: https://influxdata.com/time-series-platform/influxdb/
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Alexandre Viau <aviau@debian.org>, Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9.20160709),
                dh-golang (>=1.9),
@@ -21,7 +22,7 @@
                golang-github-kimor79-gollectd-dev,
                golang-collectd-dev,
                golang-github-davecgh-go-spew-dev,
-               golang-github-dgrijalva-jwt-go-v3-dev,
+               golang-github-dgrijalva-jwt-go-dev (>= 3.0~),
                golang-github-dgryski-go-bitstream-dev,
                golang-github-dgryski-go-bits-dev,
                golang-github-jwilder-encoding-dev (>= 0.0~git20160927.0.4dada27),
@@ -41,8 +42,9 @@
                golang-github-mattn-go-isatty-dev,
                golang-golang-x-time-dev,
                golang-github-opentracing-opentracing-go-dev,
-               golang-prometheus-client-dev,
-               golang-github-golang-snappy-dev
+               golang-github-prometheus-client-golang-dev,
+               golang-github-golang-snappy-dev,
+               golang-github-klauspost-pgzip-dev
 Standards-Version: 3.9.8
 Vcs-Git: https://salsa.debian.org/pkg-go-team/influxdb.git
 Vcs-Browser: https://salsa.debian.org/pkg-go-team/influxdb
@@ -66,7 +68,7 @@
          golang-github-kimor79-gollectd-dev,
          golang-collectd-dev,
          golang-github-davecgh-go-spew-dev,
-         golang-github-dgrijalva-jwt-go-v3-dev,
+         golang-github-dgrijalva-jwt-go-dev (>= 3.0~),
          golang-github-dgryski-go-bitstream-dev,
          golang-github-dgryski-go-bits-dev,
          golang-github-jwilder-encoding-dev (>= 0.0~git20160927.0.4dada27),
@@ -86,8 +88,9 @@
          golang-github-mattn-go-isatty-dev,
          golang-golang-x-time-dev,
          golang-github-opentracing-opentracing-go-dev,
-         golang-prometheus-client-dev,
-         golang-github-golang-snappy-dev
+         golang-github-prometheus-client-golang-dev,
+         golang-github-golang-snappy-dev,
+         golang-github-klauspost-pgzip-dev
 Description: Scalable datastore for metrics, events, and real-time analytics. Dev package
  InfluxDB is a time series, metrics, and analytics database. It’s written
  in Go and has no external dependencies. That means once you install it

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,14 @@
 export DH_GOLANG_GO_GENERATE := 1
 export DH_GOPKG := github.com/influxdata/influxdb
 export DH_GOLANG_INSTALL_EXTRA := query/tmpldata
-export DH_GOLANG_EXCLUDES := tests
+
+# Excluding influx-tools just because there are failing go generate commands.
+# One of the issue we are running into is that apparently stringer requires
+# that packages be installed before it runs. dh-golang currently runs
+# go generate before installing any packages. One way to fix this is that
+# dh-golang could install all dependencies, run go generate, and then install
+# the final package.
+export DH_GOLANG_EXCLUDES := tests cmd/influx-tools
 
 %:
 	dh $@ --buildsystem=golang --with=golang,systemd --builddirectory=_build
@@ -30,7 +37,6 @@
 
 	# rename some imports
 	find _build/src/$(DH_GOPKG) -type f -print0 | xargs -0 sed -i 's|github.com/uber-go/zap|go.uber.org/zap|g'
-	find _build/src/$(DH_GOPKG) -type f -print0 | xargs -0 sed -i 's|github.com/dgrijalva/jwt-go|github.com/dgrijalva/jwt-go-v3|g'
 
 # influxdb version
 DEB_VERSION := $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog --show-field Version)
